unit mgMsg;
interface

uses dvWin, dvCrt;

const
    msgTitulo = 'Gravador de som';

function pegaTextoMensagem (nomeArq: string): string;
procedure mensagem (nomeArq: string; nlf: integer);

implementation

{--------------------------------------------------------}
{              descobre o texto da mensagem
{--------------------------------------------------------}

function pegaTextoMensagem (nomeArq: string): string;
var s: string;
begin
    s := '';

    if nomeArq = 'MGINIC' then
        s := 'Gravador de Som Vox'
    else
    if nomeArq = 'MGINIGRV' then
        s := 'Tecle Enter para gravar, ESC termina'
    else
    if nomeArq = 'MGRADTLF' then
        s := 'Qualidade CD, rdio ou telefone? '
    else
    if nomeArq = 'MGSTMONO' then
        s := 'Estreo ou Mono? '
    else
    if nomeArq = 'MGESPTOC' then
        s := 'Use espao para tocar, F1 ajuda'
    else
    if nomeArq = 'MGAJTOC1' then
        s := 'Espao toca e para, esc termina'
    else
    if nomeArq = 'MGAJTOC2' then
        s := 'Posicione com direita, esquerda, home e end.'
    else
    if nomeArq = 'MGAJTOC3' then
        s := 'Page Up e Page Down saltam 10 segundos'
    else
    if nomeArq = 'MGAJTOC4' then
        s := 'M memoriza o ponto do cursor'
    else
    if nomeArq = 'MGAJTOC5' then
        s := 'V volta ao ponto memorizado'
    else
    if nomeArq = 'MGNOMARQ' then
        s := 'Informe o nome do arquivo'
    else
    if nomeArq = 'MGNOMNAR' then
        s := 'Informe o novo nome do arquivo: '
    else
    if nomeArq = 'MGCRGSOM' then
        s := 'Carregando som'
    else
    if nomeArq = 'MGARQERR' then
        s := 'Arquivo incompatvel com este programa'
    else
    if nomeArq = 'MGECO' then
        s := 'Eco adicionado'
    else
        if nomeArq = 'MGREV' then
        s:= 'Reverberao adicionada'
    else
    if nomeArq = 'MGVOLAUM' then
        s := 'Aumentei o volume em 25 por cento'
    else
    if nomeArq = 'MGVOLDIM' then
        s := 'Diminu o volume em 25 por cento'
    else
    if nomeArq = 'MGSOMINV' then
        s := 'Som virado de trs para diante'
    else
    if nomeArq = 'MGREMANT' then
        s := 'Trecho anterior removido'
    else
    if nomeArq = 'MGREMPOS' then
        s := 'Trecho posterior removido'
    else
    if nomeArq = 'MGDESTRU' then
        s := 'Ok, toda gravao foi removida.'
    else
    if nomeArq = 'MGTRCREM' then
        s := 'Trecho removido'
    else
    if nomeArq = 'MGUNDO' then
        s := 'Retornei ao ltimo som gravado'
    else
    if nomeArq = 'MGNOVSOM' then
        s := 'Novo som criado'
    else
    if nomeArq = 'MGOPMG' then
        s := 'Gravador, qual sua opo? '
    else
    if nomeArq = 'MGOPEF' then
        s := 'Qual efeito? '
    else
    if nomeArq = 'MGOPINV' then
        s := 'Opo invlida, F1 ajuda'
    else
    if nomeArq = 'MGQUERSV' then
        s := 'Quer salvar o arquivo? '
    else
    if nomeArq = 'MGERRGRV' then
        s := 'Erro de gravao'
    else
    if nomeArq = 'MGNOMMIS' then
        s := 'Qual o arquivo de som a misturar? '
    else
    if nomeArq = 'MGMISTUR' then
        s := 'Sons misturados'
    else
    if nomeArq = 'MGOK' then
        s := 'Ok'
    else
    if nomeArq = 'MGFIM' then
        s := 'Fim do programa'
    else
    if nomeArq = 'MGCNFUND' then
        s:= 'Vou recuperar a ltima verso salva, confirma? '
    else
    if nomeArq = 'MGINISOM' then
        s := 'Incio do som'
    else
    if nomeArq = 'MGFIMSOM' then
        s := 'Fim do som'
    else
    if nomeArq = 'MGNOVO' then
        s := 'N - Novo som'
    else
    if nomeArq = 'MGTOCA' then
        s := 'T - Toca'
    else
    if nomeArq = 'MGGRAVA' then
        s := 'G - Grava mais'
    else
    if nomeArq = 'MGREMOVE' then
        s := 'R - Remove'
    else
    if nomeArq = 'MGMIXA' then
        s := 'M - Mistura'
    else
    if nomeArq = 'MGEFEIT' then
        s := 'E - Efeito'
    else
    if nomeArq = 'MGDESFAZ' then
        s:= 'D - Desfaz'
    else
    if nomeArq = 'MGSALVA' then
        s := 'S - Salva'
    else
    if nomeArq = 'MGCONFIG' then
        s := 'C - Configura'
    else
    if nomeArq = 'MGINFO' then
        s := 'I - Informaes'
    else
    if nomeArq = 'MGTRAREM' then
        s := 'A - remove antes do cursor, D depois, T - tudo' + #$0d + #$0a +
             'M remove entre cursor e ponto memorizado: '
    else
    if nomeArq = 'MGADIFUN' then
        s := 'Adio, Mistura ou Fundo sonoro? '
    else
    if nomeArq = 'MGONDMST' then
        s := 'Mistura no incio, no cursor ou no final? '
    else
    if nomeArq = 'MGVOLSOB' then
        s := '+ - Aumenta volume'
    else
    if nomeArq = 'MGVOLDES' then
        s := '- - Diminui volume'
    else
    if nomeArq = 'MGOPECO' then
        s := 'E - Ecoa'
    else
    if nomeArq = 'MGOPREV' then
        s := 'R - Reverbera'
    else
    if nomeArq = 'MGFADEIN' then
        s := 'I - Fade In'
    else
    if nomeArq = 'MGFADEOU' then
        s := 'O - Fade Out'
    else
    if nomeArq = 'MGVOLTSO' then
        s := 'V - Inverte o som'
    else
    if nomeArq = 'MGCODSEN' then
        s := 'S - Codifica com senha'
    else
    if nomeArq = 'MGCONFIM' then
        s := 'Confirma o fim do programa? '
    else
    if nomeArq = 'MGMEMOR' then
        s := 'Posio do cursor memorizada'
    else
    if nomeArq = 'MGASOPC' then
        s := 'As opes so :'
    else
    if nomeArq = 'MGCONTGR' then
        s := 'Aperte enter para continuar gravao, ESC termina'
    else
    if nomeArq = 'MGDESIST' then
        s := 'Desistiu...'
    else
    if nomeArq = 'MGARQSLV' then
        s := 'OK, arquivo salvo'
    else
    if nomeArq = 'MGDIGSEN' then
        s := 'Digite a senha com 8 caracteres: '
    else
    if nomeArq = 'MGSENHAP' then
        s := 'Senha aplicada'
    else
    if nomeArq = 'MGMANTOR' then
        s := 'Mantenho parmetros originais da gravao? '
    else
    if nomeArq = 'MGSALVAG' then
        s := 'J posso armazenar em disco? '
    else
    if nomeArq = 'MGCONF' then
        s := 'Configurando'
    else
    if nomeArq = 'MGRESET' then
        s := 'Deseja retornar os valores padres? '
    else
    if nomeArq = 'MGMSECO' then
        s := 'Milissegundos do eco'
    else
    if nomeArq = 'MGPERECO' then
        s := 'Percentual do eco'
    else
    if nomeArq = 'MGMSREV' then
        s := 'Milissegundos do reverber'
    else
    if nomeArq = 'MGPERREV' then
        s := 'Percentual do reverber'
    else
    if nomeArq = 'MGCNVMP3' then
        s := 'Converso MP3'
    else
    if nomeArq = 'MGMP3OUT' then
        s := 'Parmetros para gerar MP3'
    else
    if nomeArq = 'MGMP3IN' then
        s := 'Parmetros para ler MP3'
    else
    if nomeArq = 'MGOKCONF' then
        s := 'OK configurado'
    else
    if nomeArq = 'MGNAOMP3' then
        s := 'No edito diretamente MP3'
    else
    if nomeArq = 'MGMP3WAV' then
        s := 'Vou converter de MP3 para WAV, aguarde'
    else
    if nomeArq = 'MGWAVMP3' then
        s := 'Vou converter de WAV para MP3, aguarde'
    else
    if nomeArq = 'MGERRCNV' then
        s := 'Converso MP3 foi mal sucedida'
    else

    if nomeArq = 'MGCNFUND' then
        s:= 'Vou recuperar a ltima verso salva, confirma? '
    else
    if nomeArq = 'MGTEMPOT' then
        s := 'Tempo total: '
    else
    if nomeArq = 'MGPOSCUR' then
        s := 'posio do cursor: '
    else
    if nomeArq = 'MGPERCEN' then
        s := 'percentual: '
    else
    if nomeArq = 'MGERPOSI' then
        s := 'Erro de posicionamento'
    else
    if nomeArq = 'MGARQTRB' then
        s := 'Arquivo de trabalho: '
    else
    if nomeArq = 'MGIVEL' then
        s := 'Velocidade: '
    else
    if nomeArq = 'MGIQUALI' then
        s := 'Qualidade: '
    else
    if nomeArq = 'MGI8BIT' then
        s := '8 Bits '
    else
    if nomeArq = 'MGI16BIT' then
        s := '16 Bits '
    else
    if nomeArq = 'MGIMONO' then
        s := 'Mono'
    else
    if nomeArq = 'MGISTERE' then
        s := 'Stereo'

    else
    if nomeArq = 'MGFALMEM' then
        s := 'No h memria suficiente para esta edio'
    else
    if nomeArq = 'MGNBUFT' then
        s := 'Buffers para tocar'
    else
    if nomeArq = 'MGNBUFG' then
        s := 'Buffers para gravar'
    else
    if nomeArq = 'MGFATORI' then
        s := 'Percentual do som original, sugiro 70:   '
    else
    if nomeArq = 'MGFATMIS' then
        s := 'Percentual do som a misturar, sugiro 30: '
    else
    if nomeArq = 'MGEXTRAI' then
        s := 'X - Extrai'
    else
    if nomeArq = 'MGNOMDIV' then
        s := 'Informe o nome do arquivo original'
    else
    if nomeArq = 'MGNDIV' then
        s := 'No posso dividir arquivos MP3, apenas WAV'
    else
    if nomeArq = 'MGDIVSEG' then
        s := 'Informe em segundos o tamanho dos trechos: '
    else
    if nomeArq = 'MGINIDST' then
        s := 'Informe iniciais dos arquivos de destino'
    else
    if nomeArq = 'MGARFDIV' then
        s := 'Arquivo foi dividido.'
    else
    if nomeArq = 'MGNPART' then
        s := 'Nmero de partes: '
    else
    if nomeArq = 'MGDIVPED' then
        s := 'Posso dividir em trechos iguais? '
    else
    if nomeArq = 'MGPONINI' then
        s := 'Informe em segundos o ponto inicial: '
    else
    if nomeArq = 'MGPONFIN' then
        s := 'Informe em segundos o ponto final  : '
    else
    if nomeArq = 'MGINFDST' then
        s := 'Informe nome do arquivo de destino: '
    else
    if nomeArq = 'MGARFEXT' then
        s := 'Trecho do arquivo foi extraido.'
    else
    if nomeArq = 'MGMAXMEM' then
        s := 'Memria em Mb (0=toda)'
    else

        s := '--> Mensagem invlida: ' + nomeArq;

   pegaTextoMensagem := s;
end;

{--------------------------------------------------------}
{                    d uma mensagem
{--------------------------------------------------------}

procedure mensagem (nomeArq: string; nlf: integer);
var i: integer;
    s: string;

begin
    s := pegaTextoMensagem (nomeArq);

    if nlf >= 0 then write (s);
    for i := 1 to nlf do
         writeln;

    if existeArqSom (nomearq) then
        sintSom (nomearq)
    else
        sintetiza (s);
end;

end.

